import logging

import im360.subsys.whitelist_rbl as whitelist_rbl
from defence360agent.rpc_tools.lookup import RootEndpoints, bind
from defence360agent.utils import Scope


logger = logging.getLogger(__name__)


class RblWhitelistEndpoints(RootEndpoints):
    SCOPE = Scope.IM360

    @bind("create-rbl-whitelist")
    async def create_rbl_whitelist(self):
        await whitelist_rbl.create_rbl_whitelist()
